import 'package:flutter/material.dart';
import 'package:recup_app_storybook/theme/colors.dart';

class RecupFilterButton extends StatelessWidget {
  final void Function()? onPressed;
  final String text;
  final bool isSelect;
  const RecupFilterButton(
      {Key? key, this.onPressed, required this.text, required this.isSelect})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    double calcWidthSizeText() {
      return (80 + (text.length * 5)).toDouble();
    }

    return OutlinedButton(
      onPressed: onPressed,
      style: ElevatedButton.styleFrom(
        minimumSize: Size.zero,
        padding: EdgeInsets.zero,
        fixedSize: Size(calcWidthSizeText(), 35),
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(50),
          side: BorderSide(
            color: isSelect ? RecupColor.primary : RecupColor.grey,
            width: 2,
          ),
        ),
        elevation: 0,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: [
          Text(
            text,
            overflow: TextOverflow.ellipsis,
            maxLines: 1,
            style: TextStyle(
              color: isSelect ? RecupColor.primary : RecupColor.grey,
            ),
          ),
          Row(
            children: [
              SizedBox(
                height: 15,
                child: RotatedBox(
                  quarterTurns: 1,
                  child: Divider(
                    thickness: 1,
                    color: isSelect ? RecupColor.primary : RecupColor.grey,
                  ),
                ),
              ),
              Icon(
                Icons.add,
                color: isSelect ? RecupColor.primary : RecupColor.grey,
              ),
            ],
          ),
        ],
      ),
    );
  }
}
