import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/feedback/status/status.dart';
import 'package:recup_app_storybook/theme/colors.dart';

import 'package:storybook_flutter/storybook_flutter.dart';

class RecupStatusStories extends Story {
  RecupStatusStories()
      : super(
          name: 'feedback/status',
          builder: (context) {
            return RecupStatus(
              color: context.knobs.nullable.options(
                label: 'color',
                initial: Colors.blue,
                description: 'Background color',
                options: const [
                  Option(
                    label: 'white',
                    value: Colors.white,
                    description: 'Blue color',
                  ),
                  Option(
                    label: 'primary',
                    value: RecupColor.primary,
                    description: 'Green color',
                  ),
                ],
              ),
              child: Text(
                context.knobs.text(
                  label: 'text',
                  initial: 'Value',
                ),
              ),
            );
          },
        );
}
